package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 发送已逾期数据（每天9点）
 */
public class SendSmsOverdueJob extends QuartzJobBean {

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        try {
            jobService.sendSmsOverdueTask();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
